//----------------------------------------------------------------------------
// RIJNDAEL128.h                                       
//
// 128 bits Rijndael Encryption Routines.
//----------------------------------------------------------------------------
#ifndef __RIJNDAEL__H
#define __RIJNDAEL__H
              
                                         
void rijndaelEncryptBuffer128(const unsigned char key[16],     //The secret key                              
                              unsigned char* in_buf,           //buffer to encrypt. Must be block of 16 bytes.
                              unsigned char* out_buf,          //encrypted buffer
                              int nblocks);                    //number of 16 bytes blocks to encrypt

void rijndaelDecryptBuffer128(const unsigned char key[16],     //The secret key                               
                              unsigned char* in_buf,           //buffer to decrypt. Must be block of 16 bytes.
                              unsigned char* out_buf,          //decrypted buffer                             
                              int nblocks);                    //number of 16 bytes blocks to decrypt         
                                         


#endif
