#ifndef __CRC16__
#define __CRC16__


extern const unsigned short gw_crcTable[];




/*
 * the 'calc_crc16()' function and the CALC_CRC16 macro does the same job.
 * --the usual space/speed tradeoff!
 */

unsigned short gw_calc_crc16(unsigned short cur_crc,unsigned char val);

#define GW_CALC_CRC16(cur_crc,val) (((unsigned short)(cur_crc)<<8) ^ gw_crcTable[(((unsigned short)(cur_crc)>>8) ^ (unsigned char)(val))])


unsigned short gw_calc_crc16data(unsigned short cur_crc,unsigned char* data,unsigned short data_len);


#endif
